package io.reisub.dreambot.cshopper.tasks;

import io.reisub.dreambot.cshopper.CShopper;
import io.reisub.dreambot.cshopper.ItemWrapper;
import org.dreambot.api.methods.MethodProvider;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.tabs.Tabs;
import org.dreambot.api.script.ScriptManager;
import org.dreambot.api.script.TaskNode;

public class Stop extends TaskNode {
    @Override
    public boolean accept() {
        for (ItemWrapper iw : CShopper.getConfiguration().getItems()) {
            int inventoryCount = 0;
            if (Inventory.get(iw.getName()) != null) {
                inventoryCount = Inventory.get(iw.getName()).getAmount();
            }

            if (inventoryCount < iw.getBuyTotal()) return false;
        }

        return true;
    }

    @Override
    public int execute() {
        MethodProvider.log("Finished buying");
        Tabs.logout();
        ScriptManager.getScriptManager().stop();

        return 1000;
    }
}
